Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
agora::rtc::CustomExtensionWrapper< ExtInterface > Class Template Reference

`#include <extension_provider_i.h>`

## Public Member Functions
| CustomExtensionWrapper (ICustomExtensionProvider *provider, const char *extension, bool refcounted)
| ~CustomExtensionWrapper ()
| CustomExtensionWrapper (const CustomExtensionWrapper &)=default
CustomExtensionWrapper & | operator= (const CustomExtensionWrapper &)=default
| CustomExtensionWrapper (CustomExtensionWrapper &&)=default
CustomExtensionWrapper & | operator= (CustomExtensionWrapper &&)=default
ExtInterface * | get ()
agora_refptr< ExtInterface > | getRefPtr ()

## Constructor & Destructor Documentation

## ◆ CustomExtensionWrapper() [1/3]

template<class ExtInterface>

agora::rtc::CustomExtensionWrapper< ExtInterface >::CustomExtensionWrapper | ( | ICustomExtensionProvider * | provider,
|  | const char * | extension,
|  | bool | refcounted )
| inline

## ◆ ~CustomExtensionWrapper()

template<class ExtInterface>

agora::rtc::CustomExtensionWrapper< ExtInterface >::~CustomExtensionWrapper | ( |  | ) |
| inline

## ◆ CustomExtensionWrapper() [2/3]

template<class ExtInterface>

agora::rtc::CustomExtensionWrapper< ExtInterface >::CustomExtensionWrapper | ( | const CustomExtensionWrapper< ExtInterface > & |  | ) |
| default

## ◆ CustomExtensionWrapper() [3/3]

template<class ExtInterface>

agora::rtc::CustomExtensionWrapper< ExtInterface >::CustomExtensionWrapper | ( | CustomExtensionWrapper< ExtInterface > && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

template<class ExtInterface>

CustomExtensionWrapper & agora::rtc::CustomExtensionWrapper< ExtInterface >::operator= | ( | const CustomExtensionWrapper< ExtInterface > & |  | ) |
| default

## ◆ operator=() [2/2]

template<class ExtInterface>

CustomExtensionWrapper & agora::rtc::CustomExtensionWrapper< ExtInterface >::operator= | ( | CustomExtensionWrapper< ExtInterface > && |  | ) |
| default

## ◆ get()

template<class ExtInterface>

ExtInterface * agora::rtc::CustomExtensionWrapper< ExtInterface >::get | ( |  | ) |
| inline

## ◆ getRefPtr()

template<class ExtInterface>

agora_refptr< ExtInterface > agora::rtc::CustomExtensionWrapper< ExtInterface >::getRefPtr | ( |  | ) |
| inline